%define DATE 20001004
%define VER 2.0
%define sourcedir stable/%{version}/distribution/tar/generic/source
%define is_release 1

Name: kdoc
Summary: Documentation for the K Desktop Environment (KDE) 2.0.
%if %{is_release}
Version: %{VER}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/kdoc-%{VER}.tar.bz2
%else
Version: %{VER}.%{DATE}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/kdoc-%{DATE}.tar.bz2
%endif
Release: 2
Epoch: 1
Group: Documentation
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
BuildArch: noarch

%description
Documentation tools for the K Desktop Environment 2.0.

%prep
rm -rf $RPM_BUILD_ROOT

%if %{is_release}
%setup -q
%else
#%setup -q -n kdoc
%endif
make -f Makefile.cvs

%build
export KDEDIR=/usr
. /etc/profile.d/qt.sh
if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi
CXXFLAGS="$RPM_OPT_FLAGS -I/usr/include/kde" %configure 
make -j $CPUS CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG -DNDEBUG"

%install
make DESTDIR="$RPM_BUILD_ROOT" install

cp -a $RPM_BUILD_ROOT%{_docdir}/kdoc docs
rm -fr $RPM_BUILD_ROOT%{_docdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs/*
%{_prefix}/bin/*
%dir %{_prefix}/share/kdoc
%{_prefix}/share/kdoc/*
%{_mandir}/*/*

%changelog
* Thu Oct 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Wed Oct  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0rc2
- clean up spec file

* Tue Jul 18 2000 Trond Eivind Glomsrd <teg@redhat.com>
- drop icon (glint is obsolete)
- "License" replaces "Copyright"
- use %%docdir
- different releasenumber scheme, the old one can't be used 
  for tools and makes fixing specfiles hard

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- SMPify
- Don't hardcode QTDIR

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot

* Tue Jun 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix build if %%{_mandir} = /usr/man

* Sun Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- FHSify

* Mon Apr  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix compatibility with perl 5.6.0

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- remove renaming to kdoc2 etc, move to /usr

* Wed Mar 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- New snapshot
- Make gzipped man pages optional

* Tue Feb  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- handle compressed man pages
- new snapshot

* Wed Jan 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix up the makekde2doc script (add missing semicolon)

* Thu Jan  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- get ready for powertools 6.2
- make it a noarch package; it's just perl scripts

* Thu Dec 16 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- initial RPM
